import { ZuiChartConfig } from './type';
export declare class ZuiChartComponent {
    #private;
    set setId(id: string);
    id: string;
    set setWidth(value: string);
    width: string;
    set setHeight(value: string);
    height: string;
    config: ZuiChartConfig;
    constructor();
    ngOnChanges(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
